Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008466opensim[REGION] OpenSim Corepublic2019-01-29 19:172019-02-05 12:27
Reportermike.chase 
Assigned Tomike.chase 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinix OSUbuntuOS Version18.04
Product Version0.9.0.1 
Target VersionFixed in Versionmaster (dev code) 
Summary0008466: On -dev, presence lost after teleport
DescriptionI'm getting people dropping offline after a teleport. I mean they are online. But presence shows them offline. Causes issues with Kitely deliveries.

Last changeset in my version was:
SHA-1: 2060b70e5d25d4457660381380b3720c0e8b51ec
Reduce some delay on shutdown (from 1/19/2019)

An avatar in the same region will see me online. After a teleport I get a message on the other avatar that my avatar has gone offline but I'm also 20m away in the viewer radar. Neither is correct.

In about 60 secs that gets "cleaned" up and then I just look offline
And an attempt for my avatar to teleport after that produces "Failed to verify user presence in the grid for Mike Chase". The parcel I was teleporting to has restrictions to presumably its looking up my user presence to check that.
Steps To ReproduceTeleport to a new region on the same grid (Haven't tested HG). You'll show offline after. In some cases you can literally see the avatar on the region bit they show offline.
TagsNo tags attached.
Git Revision or version numberSHA-1: 2060b70e5d25d4457660381380b3720c0e8b51ec
Run Mode Grid (1 Region per Sim)
Physics EngineubODE
EnvironmentMono / Linux64
Mono Version5.x
ViewerFirestorm 5.1.7
Attached Files

- Relationships

-  Notes
(0034040)
mike.chase (reporter)
2019-01-30 11:56

Note, updated HEAD as of 1/30 and this problem is no longer present. So this can be closed.
(0034041)
mike.chase (reporter)
2019-01-30 11:57

Confirmed this doesn't occur on HEAD as of 01/30
(0034308)
BillBlight (developer)
2019-02-05 12:27

Old Issues, closed, can be reopened if they still exist

- Issue History
Date Modified Username Field Change
2019-01-29 19:17 mike.chase New Issue
2019-01-30 11:56 mike.chase Note Added: 0034040
2019-01-30 11:57 mike.chase Note Added: 0034041
2019-01-30 11:57 mike.chase Status new => resolved
2019-01-30 11:57 mike.chase Fixed in Version => master (dev code)
2019-01-30 11:57 mike.chase Resolution open => fixed
2019-01-30 11:57 mike.chase Assigned To => mike.chase
2019-02-05 12:27 BillBlight Note Added: 0034308
2019-02-05 12:27 BillBlight Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker